from sqlalchemy import String, Column, Integer, DateTime, JSON, create_engine

from app.modle import Base


class Role(Base):
    """角色表"""

    __tablename__ = "role"

    id = Column(Integer, primary_key=True, autoincrement=True, nullable=False, unique=True, doc='id')
    role_name = Column(String, nullable=False, unique=True, index=False, doc='角色名称')
    role_describe = Column(String, nullable=True, unique=False, index=False, doc='角色描述')
    role_permission = Column(JSON, nullable=True, unique=False, index=False, doc='角色权限')
